package com.hzya.frame.sys.voucher.entity;

import java.util.Date;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.org.entity.Org;
import com.hzya.frame.sys.voucherDetail.entity.VoucherDetailEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 凭证单据  entity
 * @tableName: sys_voucher
 * @entityName: VoucherEntity
 * @author: gjh
 * @history: 1.0
 */
public class VoucherEntity extends BaseEntity {

    /**
     * 单据类型
     */
    private String receipt_type;

    /**
     * 单据类型
     */
    private String receipt_type_name;
    /**
     * 单据id
     */
    private String receipt_id;
    /**
     * 单据标题
     */
    private String receipt_title;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receipt_date;
    /**
     * 制单状态
     */
    private String receipt_status;
    /**
     * 年度
     */
    private String year;
    /**
     * 会计期间
     */
    private String ap;
    /**
     * 凭证id
     */
    private String proof_id;
    /**
     * 项目
     */
    private String project;
    /**
     * 供应商
     */
    private String supplier;
    /**
     * 客户
     */
    private String client;
    /**
     * 业务员
     */
    private String salesman;
    /**
     * 组织
     */
    private String section;
    /**
     * 不制单原因
     */
    private String not_receipt_reason;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date certificate_date;
    /**
     * 制单人
     */
    private String documenter;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 组织机构ID
     */
    private String org_id;


    private List<String> ids;
    private List<VoucherDetailEntity> voucherDetailEntityList;

    public List<VoucherDetailEntity> getVoucherDetailEntityList() {
        return voucherDetailEntityList;
    }

    public String getReceipt_type_name() {
        return receipt_type_name;
    }

    public void setReceipt_type_name(String receipt_type_name) {
        this.receipt_type_name = receipt_type_name;
    }

    public void setVoucherDetailEntityList(List<VoucherDetailEntity> voucherDetailEntityList) {
        this.voucherDetailEntityList = voucherDetailEntityList;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    /**
     * 单据类型
     */
    public void setReceipt_type(String receipt_type) {
        this.receipt_type = receipt_type;
    }

    /**
     * 单据类型
     */
    public String getReceipt_type() {
        return receipt_type;
    }


    /**
     * 单据id
     */
    public void setReceipt_id(String receipt_id) {
        this.receipt_id = receipt_id;
    }

    /**
     * 单据id
     */
    public String getReceipt_id() {
        return receipt_id;
    }


    /**
     * 单据标题
     */
    public void setReceipt_title(String receipt_title) {
        this.receipt_title = receipt_title;
    }

    /**
     * 单据标题
     */
    public String getReceipt_title() {
        return receipt_title;
    }


    /**
     * 单据日期
     */
    public void setReceipt_date(Date receipt_date) {
        this.receipt_date = receipt_date;
    }

    /**
     * 单据日期
     */
    public Date getReceipt_date() {
        return receipt_date;
    }


    /**
     * 制单状态
     */
    public void setReceipt_status(String receipt_status) {
        this.receipt_status = receipt_status;
    }

    /**
     * 制单状态
     */
    public String getReceipt_status() {
        return receipt_status;
    }


    /**
     * 年度
     */
    public void setYear(String year) {
        this.year = year;
    }

    /**
     * 年度
     */
    public String getYear() {
        return year;
    }


    /**
     * 会计期间
     */
    public void setAp(String ap) {
        this.ap = ap;
    }

    /**
     * 会计期间
     */
    public String getAp() {
        return ap;
    }


    /**
     * 凭证id
     */
    public void setProof_id(String proof_id) {
        this.proof_id = proof_id;
    }

    /**
     * 凭证id
     */
    public String getProof_id() {
        return proof_id;
    }


    /**
     * 项目
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     * 项目
     */
    public String getProject() {
        return project;
    }


    /**
     * 供应商
     */
    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    /**
     * 供应商
     */
    public String getSupplier() {
        return supplier;
    }


    /**
     * 客户
     */
    public void setClient(String client) {
        this.client = client;
    }

    /**
     * 客户
     */
    public String getClient() {
        return client;
    }


    /**
     * 业务员
     */
    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }

    /**
     * 业务员
     */
    public String getSalesman() {
        return salesman;
    }


    /**
     * 组织
     */
    public void setSection(String section) {
        this.section = section;
    }

    /**
     * 组织
     */
    public String getSection() {
        return section;
    }


    /**
     * 不制单原因
     */
    public void setNot_receipt_reason(String not_receipt_reason) {
        this.not_receipt_reason = not_receipt_reason;
    }

    /**
     * 不制单原因
     */
    public String getNot_receipt_reason() {
        return not_receipt_reason;
    }


    /**
     * 凭证日期
     */
    public void setCertificate_date(Date certificate_date) {
        this.certificate_date = certificate_date;
    }

    /**
     * 凭证日期
     */
    public Date getCertificate_date() {
        return certificate_date;
    }


    /**
     * 制单人
     */
    public void setDocumenter(String documenter) {
        this.documenter = documenter;
    }

    /**
     * 制单人
     */
    public String getDocumenter() {
        return documenter;
    }


    /**
     * 排序
     */
    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    /**
     * 排序
     */
    public Long getSorts() {
        return sorts;
    }


    /**
     * 组织机构ID
     */
    @Override
    public void setOrg_id(String org_id) {
        this.org_id = org_id;
    }

    /**
     * 组织机构ID
     */
    @Override
    public String getOrg_id() {
        return org_id;
    }


}
